Package org.springframework.web.servlet.view

# Class AbstractUrlBasedView

java.lang.Object
org.springframework.context.support.ApplicationObjectSupport
org.springframework.web.context.support.WebApplicationObjectSupport
org.springframework.web.servlet.view.AbstractView
org.springframework.web.servlet.view.AbstractUrlBasedView

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationContextAware`, `org.springframework.web.context.ServletContextAware`, `View`

Direct Known Subclasses:
  `AbstractPdfStamperView`, `AbstractTemplateView`, `InternalResourceView`, `RedirectView`, `ScriptTemplateView`, `XsltView`

public abstract class AbstractUrlBasedView extends AbstractView implements org.springframework.beans.factory.InitializingBean
Abstract base class for URL-based views. Provides a consistent way of holding the URL that a View wraps, in the form of a "url" bean property.

Since:
  13.12.2003
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from class org.springframework.web.servlet.view.AbstractView

`DEFAULT_CONTENT_TYPE`

### Fields inherited from class org.springframework.context.support.ApplicationObjectSupport

`logger`

### Fields inherited from interface org.springframework.web.servlet.View

`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractUrlBasedView()`
Constructor for use as a bean.
`protected`
`AbstractUrlBasedView(String url)`
Create a new AbstractUrlBasedView with the given URL.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`boolean`
`checkResource(Locale locale)`
Check whether the underlying resource that the configured URL points to actually exists.
`String`
`getUrl()`
Return the URL of the resource that this view wraps.
`protected boolean`
`isUrlRequired()`
Return whether the 'url' property is required.
`void`
`setUrl(String url)`
Set the URL of the resource that this view wraps.
`String`
`toString()`

### Methods inherited from class org.springframework.web.servlet.view.AbstractView

`addStaticAttribute, createMergedOutputModel, createRequestContext, createTemporaryOutputStream, exposeModelAsRequestAttributes, formatViewName, generatesDownloadContent, getAttributesMap, getBeanName, getContentType, getRequestContextAttribute, getRequestToExpose, getStaticAttributes, isExposePathVariables, prepareResponse, render, renderMergedOutputModel, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setExposeContextBeansAsAttributes, setExposedContextBeanNames, setExposePathVariables, setRequestContextAttribute, setResponseContentType, writeToResponse`

### Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport

`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, initApplicationContext, obtainApplicationContext, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractUrlBasedView

protected AbstractUrlBasedView()
Constructor for use as a bean.

### AbstractUrlBasedView

protected AbstractUrlBasedView(String url)
Create a new AbstractUrlBasedView with the given URL.

Parameters:
  `url` - the URL to forward to

## Method Details

### setUrl

public void setUrl(@Nullable String url)
Set the URL of the resource that this view wraps. The URL must be appropriate for the concrete View implementation.

### getUrl

@Nullable public String getUrl()
Return the URL of the resource that this view wraps.

### afterPropertiesSet

public void afterPropertiesSet() throws Exception

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `Exception`

### isUrlRequired

protected boolean isUrlRequired()
Return whether the 'url' property is required.

The default implementation returns `true`. This can be overridden in subclasses.

### checkResource

public boolean checkResource(Locale locale) throws Exception
Check whether the underlying resource that the configured URL points to actually exists.

Parameters:
  `locale` - the desired Locale that we're looking for
Returns:
  `true` if the resource exists (or is assumed to exist); `false` if we know that it does not exist
Throws:
  `Exception` - if the resource exists but is invalid (for example, could not be parsed)

### toString

public String toString()

Overrides:
  `toString` in class `AbstractView`